# $Revision: 1.19 $, $Date: 2002/04/25 15:49:50 $
# NOTE:		Please keep in sync with aumix.
Summary:	curses and X11/Gtk ased audio mixer
Summary(de):	Audio-Mixer auf curses- und X11/Gtk-Basis
Summary(pl):	Mikser audio bazujcy na curses i Gtk+
Name:		aumix-gtk
Version:	2.7
Release:	3
License:	GPL
Group:		Applications/Sound
Source0:	http://www.jpj.net/~trevor/aumix/aumix-%{version}.tar.gz
Source2:	aumix.desktop
Patch0:		aumix-home_etc.patch
Patch1:		aumix-xaumix.patch
Patch2:		aumix-ac250.patch
URL:		http://www.jpj.net/~trevor/aumix.html
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	gtk+-devel >= 1.2.0
BuildRequires:	ncurses-devel >= 5.0
BuildRequires:	gpm-devel
BuildRequires:	gettext-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)
Provides:	aumix
Obsoletes:	aumix

%define		_prefix		/usr/X11R6
%define		_manpath	%{_prefix}/man

%description
This program provides a tty- and X11/Gtk-based, interactive method of
controlling a sound card's mixer. It lets you adjust the input levels
from the CD, microphone, and onboard synthesizers as well as the
output volume.

%description -l de
Dieses Programm bietet eine interaktive Methode auf tty- und
X11/Gtk-Basis zur Steuerung eines Soundkarten-Mixers. Sie knnen damit
die Eingangspegel der CD, des Mikrophons und von Synthesizer-Karten
sowie auch die Ausgabelautstrke regeln.

%description -l pl
Ten program przynosi bazujc na tty oraz X11/Gtk, interaktywn metod
kontrolowania miksera karty dwikowej. aumix pozwala zmienia poziom
sygnau nadchodzcego z CD, mikrofonu i syntetyzerw tak samo jak
poziom sygnau wyjciowego.

%prep
%setup -q -n aumix-%{version}
%patch0 -p1
%patch1 -p1
%patch2 -p1

%build
rm -rf missing acinclude.m4
gettextize --copy --force
aclocal
autoconf
automake -a -c -f

CPPFLAGS="-I/usr/include/ncurses" \
%configure

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_applnkdir}/Multimedia,%{_pixmapsdir}} \
	$RPM_BUILD_ROOT{%{_sysconfdir},%{_bindir}}

%{__make} install DESTDIR=$RPM_BUILD_ROOT

mv -f $RPM_BUILD_ROOT%{_datadir}/aumix/*xpm $RPM_BUILD_ROOT%{_pixmapsdir}

install %{SOURCE2} $RPM_BUILD_ROOT%{_applnkdir}/Multimedia

touch $RPM_BUILD_ROOT%{_sysconfdir}/aumixrc

gzip -9nf AUTHORS BUGS ChangeLog NEWS README TODO

%find_lang aumix

%clean
rm -rf $RPM_BUILD_ROOT

%files -f aumix.lang
%defattr(644,root,root,755)
%config(noreplace,missingok) %verify(not size mtime md5) %{_sysconfdir}/aumixrc
%doc *.gz

%attr(755,root,root) %{_bindir}/aumix

%{_pixmapsdir}/*.xpm
%{_applnkdir}/Multimedia/aumix.desktop

%{_datadir}/aumix
%{_mandir}/man1/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: aumix-gtk.spec,v $
Revision 1.19  2002/04/25 15:49:50  arturs
fixed a small typo

Revision 1.18  2002/03/24 23:28:13  kloczek
- perl -pi -e "s/^automake -a -c$/automake -a -c -f/"

Revision 1.17  2002/02/22 23:28:42  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.16  2002/01/18 02:12:26  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.15  2001/12/23 13:39:51  qboosh
- release 3: sync with aumix.spec (mainly ac250 patch)

Revision 1.14  2001/08/11 12:57:10  blues
- cosmetics
NOTE: another ac-broken spec...

Revision 1.13  2001/03/28 01:41:35  qboosh
- use rpm features (gzipping, %%debug, %%config), automake-related changes
- release 2

Revision 1.12  2001/02/02 17:50:33  kloczek
- perl -pi -e "s/^\%\{_datadir\}\/pixmaps/\%\{_pixmapsdir\}/"

Revision 1.11  2000/07/13 23:42:44  kloczek
- updated to 2.7.

Revision 1.10  2000/07/13 23:05:01  baggins
- release 3
- rebuild with ncurses 5.1

Revision 1.9  2000/07/13 20:36:09  baggins
- release 2

Revision 1.8  2000/07/06 06:03:05  kloczek
- added xaumix patch,
- fix ughly typo in %install.

Revision 1.7  2000/06/27 23:02:22  kloczek
- updated home_etc patch,
- fixed %%find_lanf parameters,
- added automake to BuildRequires.

Revision 1.6  2000/06/27 21:04:39  kloczek
- updated to 2.6.1.

Revision 1.5  2000/06/09 07:54:39  kloczek
- more %%{__make} macros.

Revision 1.4  2000/06/09 07:22:47  kloczek
- added using %%{__make} macro.

Revision 1.3  2000/05/17 23:02:35  kloczek
- spec adapterized.

Revision 1.2  2000/05/01 21:02:34  mkochano
- Removed 'BuildRequires: (XFree86|glib)-devel' from packages which have
  'BuildRequires: gtk+-devel'. They were redundant, beacuse 'gtk+-devel' says
  what it needs using 'Requires'. BTW, awk rules :)

Revision 1.1  2000/04/15 14:12:56  mkochano
- Separated version requiring Gtk. This version can be run from terminal (it
  has ncurses support).
